Bug 14136 - classicupgrade results in uncaught exception - a bytes-like object is required, not 'str'
classicupgrade results in uncaught exception - a bytes-like object is require...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.10.8
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-21 11:51 UTC by Björn Jacke
Modified: 2019-09-24 22:11 UTC (History)
3 users (show)

See Also:


Attachments
0001-classicupgrade-fix-a-a-bytes-like-object-is-required.patch (1.14 KB, patch)
2019-09-21 11:58 UTC, Björn Jacke
no flags Details
cherry picked patch for 4.10 and 4.11 (1.46 KB, patch)
2019-09-23 13:15 UTC, Björn Jacke
bjacke: review? (bbaumbach)
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2019-09-21 11:51:32 UTC
ERROR(<class 'samba.provision.ProvisioningError'>): uncaught exception - ProvisioningError: ldapsam passdb backend detected but no LDAP Bind PW found in secrets.tdb for user %s.  Please point this tool at the secrets.tdb that was used by the previous installation.
  File "/usr/lib/python3/dist-packages/samba/netcmd/__init__.py", line 186, in _run
    return self.run(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/samba/netcmd/domain.py", line 1687, in run
    useeadb=eadb, dns_backend=dns_backend, use_ntvfs=use_ntvfs)
  File "/usr/lib/python3/dist-packages/samba/upgrade.py", line 479, in upgrade_from_samba3
    raise ProvisioningError("ldapsam passdb backend detected but no LDAP Bind PW found in secrets.tdb for user %s.  Please point this tool at the secrets.tdb that was used by the previous installation.")
Comment 1 Björn Jacke 2019-09-21 11:58:47 UTC
Created attachment 15480 [details]
0001-classicupgrade-fix-a-a-bytes-like-object-is-required.patch

patch to fix this
Comment 2 Björn Jacke 2019-09-23 13:15:49 UTC
Created attachment 15483 [details]
cherry picked patch for 4.10 and 4.11
Comment 3 Andrew Bartlett 2019-09-24 04:21:34 UTC
Thanks for the patch.

Karolin,

Please select for Samba 4.10 and 4.11.

Thanks!
Comment 4 Karolin Seeger 2019-09-24 16:36:57 UTC
(In reply to Andrew Bartlett from comment #3)
Pushed to autobuild-v4-{11,10}-test.
Comment 5 Karolin Seeger 2019-09-24 22:11:50 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!